Project

General

Profile

Bug #10281

r47683 (add GC guard in rb_ary_splice())

Added by nagachika (Tomoyuki Chikanaga) almost 5 years ago. Updated almost 5 years ago.

Status:
Closed
Priority:
Normal
Target version:
ruby -v:
-
[ruby-dev:48571]

Associated revisions

Revision 57fd5013
Added by nagachika (Tomoyuki Chikanaga) almost 5 years ago

merge revision(s) r47683: [Backport #10281]

    array.c: GC guard

    * array.c (rb_ary_splice): prevent replacing array from GC.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@47701 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 47701
Added by nagachika (Tomoyuki Chikanaga) almost 5 years ago

merge revision(s) r47683: [Backport #10281]

array.c: GC guard

* array.c (rb_ary_splice): prevent replacing array from GC.

Revision 172cc121
Added by usa (Usaku NAKAMURA) almost 5 years ago

merge revision(s) 47683: [Backport #10281]

    array.c: GC guard

    * array.c (rb_ary_splice): prevent replacing array from GC.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@47930 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 47930
Added by usa (Usaku NAKAMURA) almost 5 years ago

merge revision(s) 47683: [Backport #10281]

array.c: GC guard

* array.c (rb_ary_splice): prevent replacing array from GC.

History

Updated by nagachika (Tomoyuki Chikanaga) almost 5 years ago

  • Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED to 2.0.0: REQUIRED, 2.1: DONE

Backported into ruby_2_1 branch at r47701.

Updated by usa (Usaku NAKAMURA) almost 5 years ago

  • Backport changed from 2.0.0: REQUIRED, 2.1: DONE to 2.0.0: DONE, 2.1: DONE

Backported into ruby_2_0_0 at r47930.

Also available in: Atom PDF